%define name	rasqal
%define version 0.9.25
%define release %mkrel 2

%define major	3
%define libname %mklibname %name %major
%define develname %mklibname -d %name

Name: 	 	%{name}
Summary: 	RDF querying library
Version: 	%{version}
Release: 	%{release}

Source:		http://librdf.org/dist/source/%{name}-%{version}.tar.gz
Patch0:		rasqal-0.9.25-linkm.patch
URL:		http://librdf.org/rasqal/
License:	LGPL
Group:		Databases
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	raptor2
BuildRequires:	raptor2-devel >= 2.0.0
BuildRequires:	libmpfr-devel

%description
Rasqal handles Resource Description Framework (RDF) query syntaxes, query
construction and query execution returning result bindings. The supported
query languages are RDQL and SPARQL.  Rasqal was designed to work closely
with the Redland RDF library but is entirely separate. It is intended to be
a portable library working across many POSIX systems (Unix, GNU/Linux,
BSDs, OSX, cygwin) win32 and others.

%package -n 	%{libname}
Summary:        Dynamic libraries from %name
Group:          System/Libraries
Obsoletes:	%{mklibname rasqal 0} >= 0.9.16

%description -n %{libname}
Dynamic libraries from %name.

%package -n 	%{develname}
Summary: 	Header files and static libraries from %name
Group: 		Development/C
Requires: 	%{libname} >= %{version}
Provides:	%{name}-devel = %{version}-%{release} 
Obsoletes: 	%name-devel < %{version}-%{release}
Obsoletes:	%mklibname -d %name 0

%description -n %{develname}
Libraries and includes files for developing programs based on %name.

%prep
%setup -q
%patch0 -p1

%build
%configure2_5x --disable-static
%make
										
%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%multiarch_binaries %buildroot/%_bindir/%name-config

%clean
rm -rf $RPM_BUILD_ROOT

%check
#make check

%if %mdkversion < 200900
%post -n %{libname} -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %{libname} -p /sbin/ldconfig
%endif

%files
%defattr(-,root,root)
%doc AUTHORS COPYING* ChangeLog LICENSE* NEWS* NOTICE README*
%{_bindir}/roqet
%{_mandir}/man1/roqet*

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/*.so.%{major}*

%files -n %{develname}
%defattr(-,root,root)
%{_bindir}/%name-config
%{multiarch_bindir}/%name-config
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/*.la
%{_libdir}/pkgconfig/*
%{_mandir}/man1/rasqal*
%{_mandir}/man3/lib*
%{_datadir}/gtk-doc/html/%name


%changelog
* Mon May 02 2011 Funda Wang <fwang@mandriva.org> 0.9.25-2mdv2011.0
+ Revision: 662314
- check do no work due to perl problems
- New version 0.9.25

  + Oden Eriksson <oeriksson@mandriva.com>
    - multiarch fixes

* Wed Feb 09 2011 Funda Wang <fwang@mandriva.org> 0.9.24-1
+ Revision: 636981
- new version 0.9.24

* Sun Dec 05 2010 Funda Wang <fwang@mandriva.org> 0.9.21-1mdv2011.0
+ Revision: 609735
- update to new version 0.9.21

* Mon Aug 23 2010 Funda Wang <fwang@mandriva.org> 0.9.20-1mdv2011.0
+ Revision: 572096
- update to new version 0.9.20

* Mon Feb 15 2010 Frederik Himpe <fhimpe@mandriva.org> 0.9.19-1mdv2010.1
+ Revision: 506381
- update to new version 0.9.19

* Mon Feb 15 2010 Funda Wang <fwang@mandriva.org> 0.9.18-1mdv2010.1
+ Revision: 506060
- new version 0.9.18

* Wed Dec 30 2009 Frederik Himpe <fhimpe@mandriva.org> 0.9.17-2mdv2010.1
+ Revision: 484179
- Update to new version 0.9.17 (new major)
- Fix BuildRequires

* Thu Sep 03 2009 Christophe Fergeau <cfergeau@mandriva.com> 0.9.16-3mdv2010.0
+ Revision: 426876
- rebuild

* Thu Jul 10 2008 Funda Wang <fwang@mandriva.org> 0.9.16-2mdv2009.0
+ Revision: 233242
- new devel package policy
- fix libmajor

* Thu Jul 10 2008 Austin Acton <austin@mandriva.org> 0.9.16-1mdv2009.0
+ Revision: 233216
- new version

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 0.9.15-2mdv2009.0
+ Revision: 225311
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Fri Dec 28 2007 Austin Acton <austin@mandriva.org> 0.9.15-1mdv2008.1
+ Revision: 138739
- new version

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Thu May 10 2007 Austin Acton <austin@mandriva.org> 0.9.14-1mdv2008.0
+ Revision: 25990
- new version


* Sat Jan 06 2007 Crispin Boylan <crisb@mandriva.org> 0.9.13-1mdv2007.0
+ Revision: 104784
- New version
- Import rasqal

* Wed May 03 2006 Austin Acton <austin@mandriva.org> 0.9.12-1mdk
- New release 0.9.12

* Tue Jan 17 2006 Austin Acton <austin@mandriva.org> 0.9.11-2mdk
- multiarch

* Mon Jan 16 2006 Austin Acton <austin@mandriva.org> 0.9.11-1mdk
- New release 0.9.11

* Fri Dec 02 2005 Thierry Vignaud <tvignaud@mandriva.com> 0.9.10-2mdk
- rebuild for openssl-0.9.8a

* Mon Jun 13 2005 Austin Acton <austin@mandriva.org> 0.9.10-1mdk
- New release 0.9.10

* Fri Jun 10 2005 Austin Acton <austin@mandriva.org> 0.9.9-1mdk
- New release 0.9.9

* Sun Feb 06 2005 Austin Acton <austin@mandrake.org> 0.9.6-1mdk
- 0.9.6
- source URL

* Thu Dec 30 2004 Austin Acton <austin@mandrake.org> 0.9.4-1mdk
- initial package

